/**
 * 云函数入口文件
 * 初始化数据库
 */
const cloud = require('wx-server-sdk');
const { Home, MediaController, MediaControllerOnce } = require("./controller/index");
cloud.init({
  env: cloud.DYNAMIC_CURRENT_ENV
})
// 云函数入口函数
exports.main = async (event, context) => {
  console.log(event)
  switch (event.type) {
    case "getMediaController": {
      delete event.type;
      return MediaController(event);
    }

    case "getMediaControllerOnce": {
      delete event.type
      return MediaControllerOnce(event)
    }

    default: {
      return {}
    }
  }
}